Name: H5Tenum_insert
Signature:
  herr_t `H5Tenum_insert`(hid_t `type`, const char *`name`, void *`value` )
Purpose:
  Inserts a new enumeration datatype member.
Description:
  `H5Tenum_insert` inserts a new enumeration datatype member into an enumeration datatype.

  `type` is the enumeration datatype, `name` is the name of the new member, and `value` points to the value of the new member.

  `name` and `value` must both be unique within `type`.

  `value` points to data which is of the datatype defined when the enumeration datatype was created.

Parameters:

hid_t `type` | IN: Datatype identifier for the enumeration datatype.
const char *`name` | IN: Name of the new member.
void *`value` | IN: Pointer to the value of the new member.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tenum_insert_f

      SUBROUTINE h5tenum_insert_f(type_id,  name, value, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        CHARACTER(LEN=*), INTENT(IN) :: name  ! Name of the new member
        INTEGER, INTENT(IN) :: value          ! Value of the new member
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tenum_insert_f